Functions
Cache driver functions
Peripheral Driver » LL Driver » XQSPI » Functions
Collaboration diagram for Cache driver functions:

## Functions
__STATIC_FORCEINLINE void | ll_xqspi_enable_cache (xqspi_regs_t *XQSPIx)
| Enable cache function. More...
__STATIC_FORCEINLINE void | ll_xqspi_disable_cache (xqspi_regs_t *XQSPIx)
| Disable cache function. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_is_enabled_cache (xqspi_regs_t *XQSPIx)
| Check if cache function is enabled. More...
__STATIC_FORCEINLINE void | ll_xqspi_cache_direct_map_enable (xqspi_regs_t *XQSPIx)
| Enable cache direct map function. More...
__STATIC_FORCEINLINE void | ll_xqspi_cache_direct_map_disable (xqspi_regs_t *XQSPIx)
| Disable cache direct map function. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_cache_direct_map_is_enabled (xqspi_regs_t *XQSPIx)
| Check if cache direct map function is enabled. More...
__STATIC_FORCEINLINE void | ll_xqspi_enable_cache_flush (xqspi_regs_t *XQSPIx)
| Enable tag memory flush. More...
__STATIC_FORCEINLINE void | ll_xqspi_disable_cache_flush (xqspi_regs_t *XQSPIx)
| Disable tag memory flush. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_is_enabled_cache_flush (xqspi_regs_t *XQSPIx)
| Check if tag memory flush is enabled. More...
__STATIC_FORCEINLINE void | ll_xqspi_set_cache_clk_force_en (xqspi_regs_t *XQSPIx)
| Set cache gating dynamically. More...
__STATIC_FORCEINLINE void | ll_xqspi_set_cache_fifo (xqspi_regs_t *XQSPIx, uint32_t mode)
| Set FIFO mode. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_cache_fifo (xqspi_regs_t *XQSPIx)
| Get FIFO mode. More...
__STATIC_FORCEINLINE void | ll_xqspi_set_cache_hitmiss (xqspi_regs_t *XQSPIx, uint32_t mode)
| Set HIT/MISS mode. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_cache_hitmiss (xqspi_regs_t *XQSPIx)
| Get HIT/MISS mode. More...
__STATIC_FORCEINLINE void | ll_xqspi_set_cache_dbgbus (xqspi_regs_t *XQSPIx, uint32_t sel)
| Set debugbus configurations signals. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_cache_dbgbus (xqspi_regs_t *XQSPIx)
| Get debugbus configurations signals. More...
__STATIC_FORCEINLINE void | ll_xqspi_enable_cache_dbgmux (xqspi_regs_t *XQSPIx)
| Enable debug bus mux. More...
__STATIC_FORCEINLINE void | ll_xqspi_disable_cache_dbgmux (xqspi_regs_t *XQSPIx)
| Disable debug bus mux. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_is_enabled_cache_dbgmux (xqspi_regs_t *XQSPIx)
| Check if debug bus mux is enabled. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_cache_hitcount (xqspi_regs_t *XQSPIx)
| Get hit counter. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_cache_misscount (xqspi_regs_t *XQSPIx)
| Get miss counter. More...
__STATIC_FORCEINLINE uint32_t | ll_xqspi_get_cache_flag (xqspi_regs_t *XQSPIx)
| Get cache status. More...

## Detailed Description

## Function Documentation

## ◆ ll_xqspi_cache_direct_map_disable()

__STATIC_FORCEINLINE void ll_xqspi_cache_direct_map_disable | ( | xqspi_regs_t * | XQSPIx | ) |

Disable cache direct map function.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL0 | DIRECT_MAP

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 494 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_cache_direct_map_enable()

__STATIC_FORCEINLINE void ll_xqspi_cache_direct_map_enable | ( | xqspi_regs_t * | XQSPIx | ) |

Enable cache direct map function.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL0 | DIRECT_MAP

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 477 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_cache_direct_map_is_enabled()

__STATIC_FORCEINLINE uint32_t ll_xqspi_cache_direct_map_is_enabled | ( | xqspi_regs_t * | XQSPIx | ) |

Check if cache direct map function is enabled.

Register | BitsName
--- | ---
CTRL0 | DIRECT_MAP

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 510 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_cache()

__STATIC_FORCEINLINE void ll_xqspi_disable_cache | ( | xqspi_regs_t * | XQSPIx | ) |

Disable cache function.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL0 | EN

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 445 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_cache_dbgmux()

__STATIC_FORCEINLINE void ll_xqspi_disable_cache_dbgmux | ( | xqspi_regs_t * | XQSPIx | ) |

Disable debug bus mux.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL1 | DBGMUX_EN

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 710 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_cache_flush()

__STATIC_FORCEINLINE void ll_xqspi_disable_cache_flush | ( | xqspi_regs_t * | XQSPIx | ) |

Disable tag memory flush.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL0 | TAG

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 542 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_cache()

__STATIC_FORCEINLINE void ll_xqspi_enable_cache | ( | xqspi_regs_t * | XQSPIx | ) |

Enable cache function.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL0 | EN

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 428 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_cache_dbgmux()

__STATIC_FORCEINLINE void ll_xqspi_enable_cache_dbgmux | ( | xqspi_regs_t * | XQSPIx | ) |

Enable debug bus mux.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL1 | DBGMUX_EN

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 694 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_cache_flush()

__STATIC_FORCEINLINE void ll_xqspi_enable_cache_flush | ( | xqspi_regs_t * | XQSPIx | ) |

Enable tag memory flush.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL0 | TAG

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 526 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_cache_dbgbus()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_cache_dbgbus | ( | xqspi_regs_t * | XQSPIx | ) |

Get debugbus configurations signals.

Register | BitsName
--- | ---
CTRL1 | DBGBUS_SEL

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 0x7

Definition at line 678 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_cache_fifo()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_cache_fifo | ( | xqspi_regs_t * | XQSPIx | ) |

Get FIFO mode.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL0 | FIFO

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_CACHE_FIFO_NORMAL LL_XQSPI_CACHE_FIFO_CLEAR

Definition at line 609 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_cache_flag()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_cache_flag | ( | xqspi_regs_t * | XQSPIx | ) |

Get cache status.

Note
  This bit only be read.

Register | BitsName
--- | ---
STAT | STAT

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 1

Definition at line 773 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_cache_hitcount()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_cache_hitcount | ( | xqspi_regs_t * | XQSPIx | ) |

Get hit counter.

Note
  This bit only be read.

Register | BitsName
--- | ---
HIT_COUNT | HITCOUNT

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 0xFFFFFFFF

Definition at line 741 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_cache_hitmiss()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_cache_hitmiss | ( | xqspi_regs_t * | XQSPIx | ) |

Get HIT/MISS mode.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL0 | HITMISS

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_CACHE_HITMISS_NORMAL LL_XQSPI_CACHE_HITMISS_CLEAR

Definition at line 646 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_cache_misscount()

__STATIC_FORCEINLINE uint32_t ll_xqspi_get_cache_misscount | ( | xqspi_regs_t * | XQSPIx | ) |

Get miss counter.

Note
  This bit only be read.

Register | BitsName
--- | ---
MISS_COUNT | MISSCOUNT

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 0xFFFFFFFF

Definition at line 757 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_cache()

__STATIC_FORCEINLINE uint32_t ll_xqspi_is_enabled_cache | ( | xqspi_regs_t * | XQSPIx | ) |

Check if cache function is enabled.

Register | BitsName
--- | ---
CTRL0 | EN

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 461 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_cache_dbgmux()

__STATIC_FORCEINLINE uint32_t ll_xqspi_is_enabled_cache_dbgmux | ( | xqspi_regs_t * | XQSPIx | ) |

Check if debug bus mux is enabled.

Register | BitsName
--- | ---
CTRL1 | DBGMUX_EN

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 725 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_cache_flush()

__STATIC_FORCEINLINE uint32_t ll_xqspi_is_enabled_cache_flush | ( | xqspi_regs_t * | XQSPIx | ) |

Check if tag memory flush is enabled.

Register | BitsName
--- | ---
CTRL0 | TAG

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 557 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_cache_clk_force_en()

__STATIC_FORCEINLINE void ll_xqspi_set_cache_clk_force_en | ( | xqspi_regs_t * | XQSPIx | ) |

Set cache gating dynamically.

Register | BitsName
--- | ---
CTRL0 | CLK_FORCE_EN

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 572 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_cache_dbgbus()

__STATIC_FORCEINLINE void ll_xqspi_set_cache_dbgbus | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | sel
| ) |  |

Set debugbus configurations signals.

Note
  These bits should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL1 | DBGBUS_SEL

Parameters

  XQSPIx | XQSPI instance
  sel | This parameter can between: 0 ~ 0x7

Return values

  None |

Definition at line 663 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_cache_fifo()

__STATIC_FORCEINLINE void ll_xqspi_set_cache_fifo | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | mode
| ) |  |

Set FIFO mode.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL0 | FIFO

Parameters

  XQSPIx | XQSPI instance
  mode | This parameter can be one of the following values: LL_XQSPI_CACHE_FIFO_NORMAL LL_XQSPI_CACHE_FIFO_CLEAR

Return values

  None |

Definition at line 591 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_cache_hitmiss()

__STATIC_FORCEINLINE void ll_xqspi_set_cache_hitmiss | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | mode
| ) |  |

Set HIT/MISS mode.

Note
  This bit should not be changed when XIP is ongoing.

Register | BitsName
--- | ---
CTRL0 | HITMISS

Parameters

  XQSPIx | XQSPI instance
  mode | This parameter can be one of the following values: LL_XQSPI_CACHE_HITMISS_NORMAL LL_XQSPI_CACHE_HITMISS_CLEAR

Return values

  None |

Definition at line 628 of file gr55xx_ll_xqspi.h.